Bug 112855 - screen -r username/ fails because of missing screen dir in /tmp
Summary: screen -r username/ fails because of missing screen dir in /tmp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: screen   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-04 08:05 UTC by Chris Fallin
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 13:41:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Fallin 2004-01-04 08:05:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I often use "screen -r chris/" to have multiple xterms on one screen
session. This fails: "Cannot access /tmp/screen-chris: no such file or
directory".

It appears that the source RPM is applying a patch to try ~/.screen
before /tmp/screen-<username>. However, this does not apply to the -r
option.

Version-Release number of selected component (if applicable):
screen-3.9.15-11

How reproducible:
Always

Steps to Reproduce:
1. start a new screen session
2. in another xterm: "screen -r <my username>/"


Actual Results:  "Cannot access /tmp/screen-<my username>: no such
file or directory"

Expected Results:  It should have opened a second screen window on the
session.

Additional info:

I have hacked around this by creating a symlink /tmp/screen-chris ->
/home/chris/.screen . However, this should not be necessary to use
this functionality.

Comment 1 Lon Hohberger 2004-01-05 13:41:42 UTC
Patch was removed in 4.0.1-2 in rawhide.




Note You need to log in before you can comment on or make changes to this bug.